package cokr.xit.ens.modules.common.ctgy.intgrnbill.support.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * <ul>
 * <li>업무 그룹명: 이용시스템 페이결제 이력구분코드</li>
 * <li>설 명: </li>
 * <li>작성일: 2023. 2. 15. 오전 8:38:43
 * </ul>
 *
 * @author 박민규
 */
public enum PayUseSysHisSeCd implements CodeMapperType {

    gnrUrl("청구서링크생성"),
    payNotice("납부(결제)정보"),
    payAble("납부(결제)가능여부"),
    payResult("납부(결제)결과"),
    payCancel("결제취소결과"),
    ;

    private final String code;     
    private final String codeNm;   

    PayUseSysHisSeCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
